version: '3.9'
services:
  web:
    build: .
    ports:
      - 8000:8000
    environment:
      - IN_DOCKER=TRUE
    volumes:
      - .:/var/todo_api_application
    depends_on:
      - db

  db:
    environment:
      - POSTGRES_DB=todo_db
      - POSTGRES_USER=todo_user
      - POSTGRES_PASSWORD=changeme
    restart: always
    image: postgres
    ports:
      - 5432:5432